Inhalte

# Anweisung SetAttr

Setzt die Dateiattribute der angegebenen Datei.

### Syntax:

    SetAttr Dateiname As String, Attribute As Integer

### Parameter:

Dateiname: Name der Datei, einschließlich des Pfads, deren Attribute Sie testen möchten. Wenn Sie keinen Pfad angeben, sucht SetAttr nach der Datei im aktuellen Verzeichnis. Sie können auch die URL-Schreibweise verwenden.

Attribute: Bitmuster, das die Attribute definiert, die Sie festlegen oder löschen möchten:

Benannte Konstante | Wert | Definition
--- | --- | ---
ATTR_NORMAL | 0 | Normale Dateien.
ATTR_READONLY | 1 | Schreibgeschützte Dateien.
ATTR_HIDDEN | 2 | Versteckte Dateien

Sie können mehrere Attribute gleichzeitig setzen, indem Sie die entsprechenden Bits der Attribute mit einer logischen ODER-Verknüpfung zusammenfassen.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

53 Datei nicht gefunden

70 Zugriff verweigert

### Beispiel:

    Sub ExampleSetGetAttr
     On Error GoTo ErrorHandler ' Sprungziel für Fehlerbehandlung definieren
     If Dir("C:\test",16)="" Then MkDir "C:\test"
     If Dir("C:\test\autoexec.sav")="" Then FileCopy "c:\autoexec.bat", "c:\test\autoexec.sav"
     SetAttr "c:\test\autoexec.sav" ,0
     FileCopy "c:\autoexec.bat", "c:\test\autoexec.sav"
     SetAttr "c:\test\autoexec.sav" , ATTR_READONLY
     Print GetAttr( "c:\test\autoexec.sav" )
     End
    ErrorHandler:
     Print Error
     End
    End Sub

Bitte unterstützen Sie uns!